MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000602Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2002-08-09 18:042017-12-05 17:09
Reporterspv 
Assigned Tonbv 
PrioritylowSeveritytrivial 
StatusassignedResolutionreopened 
PlatformOSSolarisOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0000602: Exception during filet creation if it cross samedge of cylinder.
DescriptionException during filet creation if it cross samedge of cylinder.
TagsNo tags attached.
Test case numberbugs modalg_3 bug602
Attached Fileszip file icon filet_bug.zip (11,615 bytes) 2002-08-09 14:04
png file icon BAD_filet.png (76,530 bytes) 2015-10-30 11:49

- Relationships
related to 0026675closedbugmaster Open CASCADE Eliminate normalization of coordinates in ApproxInt package 
related to 0026655newmsv Open CASCADE ChFi3d_Builder algorithm fails to build fillets if some input edges connect with seam edges 

-  Notes
(0047640)
msv (developer)
2015-10-30 10:39

It is another try to resolve this issue.
(0047641)
nbv (developer)
2015-10-30 11:21

On the current MASTER (IR-2015-10-22) filet is built. However, its result is incorrect by the two reasons (at least):

1. It is not valid in terms of BRepCheck algorithm.
2. There is a stitch in welded edge, which is shown well in the picture BAD_filet.png.

Thank to this stitch, the fillet is build (welded edge does not intersect trimmed seam-edge) (see 2d-view in the attached picture BAD_filet.png).

However, if approximation algorithm worked properly, the welded edge would intersect the seam-edge. As result, the exception will be thrown in ChFi3d_Builder::PerformOneCorner(...) ("StdFail_NotDone::Raise ("OneCorner : fillets have too big radiuses");").
(0057846)
bugmaster (administrator)
2016-09-16 10:06

Problem is reproduced on master from 2016-09-08

- Issue History
Date Modified Username Field Change
2002-08-12 13:17 bugmaster Status new => closed
2002-08-12 13:17 bugmaster Resolution @0@ => not fixable
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2015-10-30 10:39 msv Assigned To bugmaster => nbv
2015-10-30 10:39 msv Note Added: 0047640
2015-10-30 10:39 msv Status closed => feedback
2015-10-30 10:39 msv Resolution not fixable => reopened
2015-10-30 10:39 msv Status feedback => assigned
2015-10-30 10:47 nbv Fixed in Version 5.0.0 =>
2015-10-30 11:01 msv Target Version => 7.1.0
2015-10-30 11:02 msv Priority none => low
2015-10-30 11:21 nbv Note Added: 0047641
2015-10-30 11:49 nbv File Added: BAD_filet.png
2015-11-23 17:17 nbv Relationship added related to 0026675
2016-09-15 15:22 bugmaster Relationship added related to 0000601
2016-09-16 09:53 bugmaster Test case number => bugs modalg_3 bug602
2016-09-16 10:06 bugmaster Note Added: 0057846
2016-10-25 18:44 msv Target Version 7.1.0 => 7.2.0
2017-06-15 10:58 nbv Relationship added related to 0026907
2017-06-15 11:08 nbv Relationship deleted related to 0026907
2017-06-15 11:08 nbv Relationship added related to 0026655
2017-07-21 11:04 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker